﻿// ValueArgument.cs
// Copyright (c) 2009 Aleksei Vassiljev

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace OracleTools.Core.CommandLine
{
    public class ValueArgument : CommandLineArgument
    {
        public string DefaultValue { get; set; }
        public string Value { get; internal set; }

        public ValueArgument(string psName, string psShortName, string psDefaultValue)
            : base(psName, psShortName)
        {
            this.DefaultValue = psDefaultValue;
        }

        public ValueArgument(string psName, string psShortName, string psDefaultValue, string psHelpText)
            : base(psName, psShortName, psHelpText)
        {
            this.DefaultValue = psDefaultValue;
        }
    }
}
