﻿using System.IO;

namespace OracleTools.Core
{
    class LogWriter
    {
        public static TextWriter Writer { get; set; }

        public static void LogLine(string text)
        {
            if (LogWriter.Writer != null)
                LogWriter.Writer.WriteLine(text);
        }
        public static void LogLine(string text, params object[] args)
        {
            if (LogWriter.Writer != null)
                LogWriter.Writer.WriteLine(string.Format(text, args));
        }
    }
}
